Subject: [os2genau_digest] No. 1977
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 28 Jun 2010 00:00:14 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 27 June 2010
 Number  1977
**************************************************

Subjects for today
 
1  Re:  eCS 2.0 GA and USB : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Sun, 27 Jun 2010 08:28:44 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCS 2.0 GA and USB

Alan Duval wrote:
> Mike O'Connor wrote:
>> Alan Duval wrote:
>>> My system has:
>>> 8 x USB 2.0/1.1 ports
>>> 2 x IEEE  1394a ports
>>> 1 x RJ-45 port
>>>
>>> Should my config.sys show  "PCI USB OHCI host controllers" instead 
>>> of  "PCI USB UHCI host controllers" ? I just let the install process 
>>> choose the controllers.
>>>
>>> Regards,
>>>
>>> Alan
>>
>> Hi alan,
>>
>> Here on all my HP A64 systems, I get the following:
>>> Sat 26/06/2010  4:08:59.97 AEST
>>> [eComStation with 2GB RAM]
>>> [D:\Desktop]hcimonit
>>> You have 2 PCI USB OHCI host controller(s)
>>> You have 1 PCI USB EHCI host controller(s)
>>>
>>> Sat 26/06/2010  4:09:06.05 AEST
>>> [eComStation with 2GB RAM]
>>> [D:\Desktop]
>> On these systems, I have 2 front-panel USB2/1.1 ports, and there are 
>> a further six on the rear-panel!
>> config.sys USB entries are:
>>> BASEDEV=USBEHCD.SYS
>>> BASEDEV=USBOHCD.SYS
>>> BASEDEV=USBOHCD.SYS
>>> BASEDEV=USBD.SYS /V
>>> BASEDEV=USBHID.SYS /V
>>> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:2
>>> DEVICE=D:\OS2\BOOT\USBMOUSE.SYS /DEVICE:0
>>> DEVICE=D:\OS2\BOOT\USBKBD.SYS /DEVICE:0
>>> rem DEVICE=D:\OS2\BOOT\USBPRT.SYS
>>> DEVICE=D:\ECS\BOOT\USBRESMG.SYS /V
>> Regards,
>> Mike
>>
> I have all these in my config.sys except that I have USBUHCD.SYS 
> instead of UHBOHCD.SYS. My MB has an Intel chip and Intel dual core 
> CPU so that's probably the difference.
>
> I have reinstalled eCS 2.0 GA a couple of times but with same result. 
> I have checked it's config.sys with that on my installation of eCS 2.0 
> silver which I have on another removable HDD and they are much the 
> same. I let the installation process check the installation disk and 
> it found no errors so I am at a loss as to why the silver version will 
> see the USB stick but the GA version doesn't. However in saying that I 
> have been having increasing problems copying files to USB sticks with 
> the Silver version and only 1 of 4 now is useful whereas Ubuntu and 
> WIN XP still can use them.
>
> Regards,
>
> Alan
>
Base device drivers as installed by eCS 2.0 GA on my AMD X2 system. This 
system has 2 front and 4 rear mounted USB ports - but I have never been 
able to get all 6 of them to work at the same time, no matter how many 
lines I have in Config.sys.

Given that my system is not Intel, I am surprised to see the UHCI USB 
1.1 drivers loaded (I would have expected the OHCI (Open Host Controller 
Interface) drivers) - but I think what it is, is that when you have a 
USB 2.0 chipset and EHCI driver, it emulates multiple Universal Host 
Controller Interface (UHCI) ports to give backwards compatibility - 
hence the OHCI driver is only relevant if you have a system with only 
USB 1.1 (non-Intel) interfaces and no USB 2.0.

REM [ Base Device Drivers ]
BASEDEV=IBMKBD.SYS
BASEDEV=TIMER0.SYS
BASEDEV=PRINT01.SYS
BASEDEV=CHKDSK.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBEHCD.SYS
BASEDEV=USBD.SYS
BASEDEV=USBHID.SYS
BASEDEV=CADH.SYS
BASEDEV=APM.ADD
BASEDEV=DANIS506.ADD /!BIOS
BASEDEV=IBM1FLPY.ADD
REM  BASEDEV=IBM2FLPY.ADD
BASEDEV=USBMSD.ADD /REMOVABLES:4 /FLOPPIES:1
BASEDEV=DANIATAP.FLT
BASEDEV=OS2DASD.DMD
BASEDEV=OS2LVM.DMD

This gives more general information:
http://svn dot netlabs dot org/acpi/attachment/ticket/391/USBBASIC.TXT

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===